%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright 2013-2014. All rights reserved.                               %
% Institute of Measurement and Control Systems                            %
% Karlsruhe Institute of Technology, Germany                              %
%                                                                         %
% This file is part of triTrack2.                                         %
% Authors:  Philip Lenz                                                   %
%           Please send any bugreports to lenz@kit.edu                    % 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% demonstrates object tracking by scene flow clustering
clc; close all; clear variables;

% start demo
prompt_width = 80;
fprintf(strcat(repmat('=',1,prompt_width),'\n'));
fprintf('TRI TRACK DEMO - START\n');

% adopt path and select sequence 
params.base_path = './data';

% You can use either the KITTI tracking benchmark sequences or the KITTI
% raw sequences. As soon as a raw sequence is specified, it overwrites the
% benchmark sequences
params.seq_idx   = 4;

% KITTI raw sequence overwrites benchmark sequence
% params.base_path = '/media/PHILIP_KITTI/datasets/kitti_syncs/';
% params.date='2011_09_26';
% params.drive = 9;

% scene flow and tracking parameter
params.mahal_dist          = 1.2;

% matching parameter
matcher.nms_n = 5;

% save visualization
display.cam           = 0;
display.image.save    = false;
display.ics.save      = false;
display.wcs.save      = false;

% call tracking algorithm
triTrack2(params, matcher, display);

% finish
fprintf('TRI TRACK DEMO - FINISHED\n');
fprintf(strcat(repmat('=',1,prompt_width),'\n'));
